Checks: >
  -*,
  bugprone-argument-comment,
  bugprone-bool-pointer-implicit-conversion,
  bugprone-inaccurate-erase,
  bugprone-move-forwarding-reference,
  bugprone-redundant-branch-condition,
  bugprone-string-constructor,
  bugprone-string-integer-assignment,
  bugprone-suspicious-memset-usage,
  bugprone-suspicious-semicolon,
  bugprone-suspicious-string-compare,
  bugprone-terminating-continue,
  bugprone-too-small-loop-variable,
  bugprone-virtual-near-miss,
  misc-redundant-expression,
  misc-static-assert,
  modernize-make-shared,
  modernize-make-unique,
  modernize-redundant-void-arg,
  modernize-use-emplace,
  modernize-use-equals-delete,
  modernize-use-nullptr,
  modernize-use-override,
  performance-faster-string-find,
  performance-for-range-copy,
  performance-implicit-conversion-in-loop,
  performance-inefficient-algorithm,
  performance-inefficient-vector-operation,
  performance-trivially-destructible,
  readability-braces-around-statements,
  readability-container-size-empty,
  readability-duplicate-include,
  readability-isolate-declaration,
  readability-misleading-indentation,
  readability-misplaced-array-index,
  readability-redundant-control-flow,
  readability-redundant-function-ptr-dereference,
  readability-redundant-smartptr-get,
  readability-redundant-string-cstr,
  readability-simplify-subscript-expr,
  readability-static-accessed-through-instance,
  readability-static-definition-in-anonymous-namespace,
  readability-string-compare,
  readability-uppercase-literal-suffix,

FormatStyle: "file"
HeaderFilterRegex: ".*(ns|NS).*/(contrib|examples|src|scratch|utils)/*/.*h"
UseColor: true
